Package org.apache.sysds.common

# Enum Class Types.ParamBuiltinOp

java.lang.Object
java.lang.Enum<Types.ParamBuiltinOp>
org.apache.sysds.common.Types.ParamBuiltinOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.ParamBuiltinOp>`, `Constable`

Enclosing interface:
  Types

public static enum Types.ParamBuiltinOp extends Enum<Types.ParamBuiltinOp>
Parameterized operations that require named variable arguments

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTODIFF`
`CDF`
`CONTAINS`
`GROUPEDAGG`
`INVALID`
`INVCDF`
`LIST`
`LOWER_TRI`
`PARAMSERV`
`REPLACE`
`REXPAND`
`RMEMPTY`
`TOKENIZE`
`TOSTRING`
`TRANSFORMAPPLY`
`TRANSFORMCOLMAP`
`TRANSFORMDECODE`
`TRANSFORMMETA`
`UPPER_TRI`

## Method Summary

Modifier and Type
Method
Description
`static Types.ParamBuiltinOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ParamBuiltinOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTODIFF

public static final Types.ParamBuiltinOp AUTODIFF

### CDF

public static final Types.ParamBuiltinOp CDF

### CONTAINS

public static final Types.ParamBuiltinOp CONTAINS

### INVALID

public static final Types.ParamBuiltinOp INVALID

### INVCDF

public static final Types.ParamBuiltinOp INVCDF

### GROUPEDAGG

public static final Types.ParamBuiltinOp GROUPEDAGG

### RMEMPTY

public static final Types.ParamBuiltinOp RMEMPTY

### REPLACE

public static final Types.ParamBuiltinOp REPLACE

### REXPAND

public static final Types.ParamBuiltinOp REXPAND

### LOWER_TRI

public static final Types.ParamBuiltinOp LOWER_TRI

### UPPER_TRI

public static final Types.ParamBuiltinOp UPPER_TRI

### TRANSFORMAPPLY

public static final Types.ParamBuiltinOp TRANSFORMAPPLY

### TRANSFORMDECODE

public static final Types.ParamBuiltinOp TRANSFORMDECODE

### TRANSFORMCOLMAP

public static final Types.ParamBuiltinOp TRANSFORMCOLMAP

### TRANSFORMMETA

public static final Types.ParamBuiltinOp TRANSFORMMETA

### TOKENIZE

public static final Types.ParamBuiltinOp TOKENIZE

### TOSTRING

public static final Types.ParamBuiltinOp TOSTRING

### LIST

public static final Types.ParamBuiltinOp LIST

### PARAMSERV

public static final Types.ParamBuiltinOp PARAMSERV

## Method Details

### values

public static Types.ParamBuiltinOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.ParamBuiltinOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null